Name:           ocaml-cppo
Version:        1.8.0
Release:        %mkrel 1
Summary:        Equivalent of the C preprocessor for OCaml programs
License:        BSD
Group:          Development/OCaml
URL:            https://mjambon.com/cppo.html
Source0:        https://github.com/mjambon/cppo/archive/v%{version}/cppo-%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlbuild-devel

Obsoletes:      ocaml-cppo-devel < 1.6.8-3

%description
Cppo is an equivalent of the C preprocessor targeted at the OCaml
language and its variants.

The main purpose of cppo is to provide a lightweight tool for simple
macro substitution (＃define) and file inclusion (＃include) for the
occasional case when this is useful in OCaml. Processing specific
sections of files by calling external programs is also possible via
＃ext directives.

The implementation of cppo relies on the standard library of OCaml and
on the standard parsing tools Ocamllex and Ocamlyacc, which contribute
to the robustness of cppo across OCaml versions.

%package ocamlbuild
Summary:        Preprocessing plugin for ocamlbuild
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-ocamlbuild%{?_isa}
# There is no devel subpackage because this package IS for development purposes

%description ocamlbuild
This package contains a plugin for ocamlbuild that enables calling cppo
at build time.  To use it, call ocamlbuild with the argument
`-plugin-tag package(cppo_ocamlbuild)`.

%prep
%autosetup -n cppo-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check
 
%files
%license LICENSE.md
%doc Changes.md README.md
%{_bindir}/cppo
%{_libdir}/ocaml/cppo

%files ocamlbuild
%{_libdir}/ocaml/cppo_ocamlbuild/



%changelog
* Fri Apr 04 2025 pterjan <pterjan> 1.8.0-1.mga10
+ Revision: 2173429
- Update to 1.8.0

* Tue Apr 01 2025 pterjan <pterjan> 1.6.8-2.mga10
+ Revision: 2172405
- Rebuild for new ocamlbuild

* Sat Oct 08 2022 pterjan <pterjan> 1.6.8-1.mga9
+ Revision: 1895619
- Update to 1.6.8

* Thu May 19 2022 pterjan <pterjan> 1.6.6-10.mga9
+ Revision: 1859008
- Rebuild for OCaml 4.14

* Sun Apr 03 2022 umeabot <umeabot> 1.6.6-9.mga9
+ Revision: 1841809
- Mageia 9 Mass Rebuild

* Tue Oct 12 2021 tv <tv> 1.6.6-8.mga9
+ Revision: 1750747
- Rebuild for ocaml 4.13.1

* Wed Mar 03 2021 tv <tv> 1.6.6-7.mga9
+ Revision: 1696710
- rebuild for ocaml-4.2-12
- rebuild for ocaml-4.2-12

* Sun Jan 10 2021 pterjan <pterjan> 1.6.6-5.mga8
+ Revision: 1670438
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.6.6-4.mga8
+ Revision: 1551483
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1.6.6-3.mga8
+ Revision: 1545729
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 tv <tv> 1.6.6-2.mga8
+ Revision: 1485061
- install using dune & thus restore devel subpkg
- remove bogus buildConflicts

* Mon Jan 20 2020 tv <tv> 1.6.6-1.mga8
+ Revision: 1481717
- BR ocaml-dune
- clean up
- runt testsuite
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 1.6.5-1.mga7
+ Revision: 1324468
- Update to 1.6.5
- Rebuild for ocaml 4.07.1
+ tv <tv>
- BR ocaml-ocamlbuild-devel
- rebuild with ocaml-4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 1.6.4-2.mga7
+ Revision: 1299854
- Mageia 7 Mass Rebuild

* Sat Jun 23 2018 daviddavid <daviddavid> 1.6.4-1.mga7
+ Revision: 1239140
- new version: 1.6.4
- switch to jbuilder

* Wed Jan 17 2018 pterjan <pterjan> 1.5.0-2.mga7
+ Revision: 1194038
- Rebuild for updated dependencies
+ tv <tv>
- BuildConflicts: ocaml-cppo

* Sat Nov 25 2017 tv <tv> 1.5.0-1.mga7
+ Revision: 1179224
- new release
- rebuild for new ocaml

* Thu Oct 05 2017 daviddavid <daviddavid> 1.3.1-4.mga7
+ Revision: 1169201
- patch0: enable debugging information thus fixing empty debugsourcefiles.list

* Mon Sep 26 2016 pterjan <pterjan> 1.3.1-3.mga6
+ Revision: 1056309
- Rebuild for fix in ocaml

* Wed Feb 17 2016 pterjan <pterjan> 1.3.1-2.mga6
+ Revision: 963655
- Package cppo_ocamlbuild lib

* Fri Jan 29 2016 pterjan <pterjan> 1.3.1-1.mga6
+ Revision: 928676
- Add BuildRequires
- Update to 1.3.1

* Wed Oct 15 2014 umeabot <umeabot> 0.9.3-8.mga5
+ Revision: 745118
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.3-7.mga5
+ Revision: 683010
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.3-6.mga4
+ Revision: 534319
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 blue_prawn <blue_prawn> 0.9.3-5.mga4
+ Revision: 477272
- rebuild for ocaml-4.01.0

* Sat Jan 12 2013 umeabot <umeabot> 0.9.3-4.mga3
+ Revision: 361225
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.9.3-3.mga3
+ Revision: 301644
- new rpm group for ocaml

* Fri Sep 28 2012 blue_prawn <blue_prawn> 0.9.3-2.mga3
+ Revision: 299088
- new rpm group for ocaml

* Sat Sep 01 2012 blue_prawn <blue_prawn> 0.9.3-1.mga3
+ Revision: 286895
- updated to last version 0.9.3 (and new homepage, new download link)

* Sun Jun 24 2012 blue_prawn <blue_prawn> 0.9.2-1.mga3
+ Revision: 262912
- imported package ocaml-cppo

